Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mindswap.pellet.datatypes
Class XSDDecimal.DecimalValueSpace

    java.lang.Object
      org.mindswap.pellet.datatypes.AbstractValueSpace
          org.mindswap.pellet.datatypes.XSDDecimal.DecimalValueSpace

All Implemented Interfaces:
  java.util.Comparator, ValueSpace

Enclosing class:
  XSDDecimal

    public static class XSDDecimal.DecimalValueSpace

extends AbstractValueSpace
implements ValueSpace

Field Summary

Fields inherited from class org.mindswap.pellet.datatypes.AbstractValueSpace
`EQ, GT, LT, SIZE_INF, SIZE_ONE, SIZE_ZERO`

Fields inherited from interface org.mindswap.pellet.datatypes.ValueSpace
`INFINITE`

Constructor Summary
`XSDDecimal.DecimalValueSpace(boolean fractionDigits)`

Method Summary
`int` | `compare(java.lang.Object a, java.lang.Object b)`
`int` | `count_(java.lang.Object start, java.lang.Object end)`
`int` | `count(java.lang.Object start, java.lang.Object end)`
`java.lang.String` | `getLexicalForm(java.lang.Object value)`
`java.lang.Object` | `getValue(java.lang.String literal)`
`boolean` | `isValid(java.lang.Object value)`
`java.lang.Object` | `succ(java.lang.Object start, int n)`

Methods inherited from class org.mindswap.pellet.datatypes.AbstractValueSpace
`getMaxValue, getMidValue, getMinValue, isInfinite, isInfinite`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.mindswap.pellet.datatypes.ValueSpace
`getMaxValue, getMidValue, getMinValue, isInfinite, isInfinite`

Methods inherited from interface java.util.Comparator
`equals`

Constructor Detail

### XSDDecimal.DecimalValueSpace

    public XSDDecimal.DecimalValueSpace(boolean fractionDigits)

Method Detail

### isValid

    public boolean isValid(java.lang.Object value)

  Specified by:
    `isValid` in interface `ValueSpace`

### getValue

    public java.lang.Object getValue(java.lang.String literal)

  Specified by:
    `getValue` in interface `ValueSpace`

### compare

    public int compare(java.lang.Object a,
                       java.lang.Object b)

  Specified by:
    `compare` in interface `java.util.Comparator`
  Specified by:
    `compare` in interface `ValueSpace`

### count

    public int count(java.lang.Object start,
                     java.lang.Object end)

  Specified by:
    `count` in interface `ValueSpace`

### count_

    public int count_(java.lang.Object start,
                      java.lang.Object end)

### succ

    public java.lang.Object succ(java.lang.Object start,
                                 int n)

  Specified by:
    `succ` in interface `ValueSpace`

### getLexicalForm

    public java.lang.String getLexicalForm(java.lang.Object value)

  Specified by:
    `getLexicalForm` in interface `ValueSpace`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Evren Sirin. All Rights Reserved.